Skip to content
PATCH /organization/{id}

Path Parameters

idstring
required·

Resource id

Request Body

namestring
settingsRecord<string, any>

Response Body

created_atstring · date-time
idstring
logostring,null · uri
namestring
planstring
Possible values:
goldblacknone
settingsRecord<string, any>
slugstring
trial_ends_atstring,null · date-time
updated_atstring · date-time
curl -X PATCH 'https://api.elaichi.ai/organization/<id>' \
  -H 'Authorization: Bearer $ELAICHI_API_TOKEN' \
  -H 'Content-Type: application/json' \
  -d '{"name":"your_name","settings":{}}'
const body = {
  "name": "your_name",
  "settings": {}
};

const response = await fetch('https://api.elaichi.ai/organization/<id>', {
  method: 'PATCH',
  headers: {
    'Authorization': 'Bearer ' + process.env.ELAICHI_API_TOKEN,
    'Content-Type': 'application/json',
  },
  body: JSON.stringify(body),
});

const data = await response.json();
console.log(data);
import os
import requests

url = "https://api.elaichi.ai/organization/<id>"
headers = {
    "Authorization": f"Bearer {os.environ['ELAICHI_API_TOKEN']}",
    "Content-Type": "application/json",
}
payload = {
    "name": "your_name",
    "settings": {}
}

response = requests.patch(url, headers=headers, json=payload)
print(response.json())